#define _VAR_FUNC_IMPL
#include "fly_param.h"

OS_EVENT *bmu_mutex    = NULL;
OS_EVENT *bms_mutex    = NULL;
OS_EVENT *net_mutex    = NULL;
OS_EVENT *config_mutex = NULL;
OS_EVENT *can1_sem     = NULL;
OS_EVENT *can2_sem     = NULL;
OS_EVENT *net_sem      = NULL;
OS_EVENT *uart1_mbox   = NULL;
OS_EVENT *uart3_mbox   = NULL;
OS_EVENT *ftp_mbox     = NULL;

SqQueue CanQueueCan1 __attribute__((section("EXT_SRAM")));
SqQueue CanQueueCan2 __attribute__((section("EXT_SRAM")));

CPU_STK uart1_task_stk[UART1_TASK_STK_SIZE] __attribute__((section("EXT_SRAM")));
CPU_STK uart3_task_stk[UART3_TASK_STK_SIZE] __attribute__((section("EXT_SRAM")));
CPU_STK init_task_stk[INIT_STK_SIZE];
CPU_STK iec104_task_stk[IEC_TASK_STK_SIZE]; //__attribute__((section("EXT_SRAM")));
CPU_STK iec_state_task_stk[IEC_STATE_TASK_STK_SIZE];
CPU_STK ftp_server_cmd_task_stk[FTP_CMD_TASK_STK_SIZE];
CPU_STK ftp_server_data_task_stk[FTP_DATA_TASK_STK_SIZE];
CPU_STK tcp_task_stk[TCP_TASK_STK_SIZE];
CPU_STK misc_task_stk[MISC_TASK_STK_SIZE]; //__attribute__((section("EXT_SRAM")));